package edu.unl.consystlab.sudokuSolver;
import edu.unl.consystlab.sudokuSolver.constructorInterface;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class propogationButtonHandler implements ActionListener {


	private constructorInterface parentInterface;

	//default constructor //not used
	public propogationButtonHandler()
	{
	}
	
	public propogationButtonHandler(constructorInterface new_interface)
	{
		parentInterface = new_interface;
	}
	
	public void actionPerformed(ActionEvent e) 
	{
		String actionCode = e.getActionCommand();
		parentInterface.setAutoPropogationType(actionCode);
		
		//preform the propogation immediately?
		//no, the way it is programed now is that you must select
		// a propogation type then assign something so that it propogates from there.
		//parentInterface.doAutoPropogation();
		
		//parentInterface.runDomainColoring();
		parentInterface.repaint();
	}
}
